[arch-commits] CVS update of extra/office/abiword (PKGBUILD abiword-2.4.2-spell.diff)

Aaron Griffin aaron at archlinux.org
Sun May 13 05:45:17 UTC 2007


    Date: Sunday, May 13, 2007 @ 01:45:17
  Author: aaron
    Path: /home/cvs-extra/extra/office/abiword

   Added: PKGBUILD (1.1) abiword-2.4.2-spell.diff (1.1)

Moving abiword to extra


--------------------------+
 PKGBUILD                 |   24 ++++++++++++++++++++
 abiword-2.4.2-spell.diff |   53 +++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 77 insertions(+)


Index: extra/office/abiword/PKGBUILD
diff -u /dev/null extra/office/abiword/PKGBUILD:1.1
--- /dev/null	Sun May 13 01:45:17 2007
+++ extra/office/abiword/PKGBUILD	Sun May 13 01:45:16 2007
@@ -0,0 +1,24 @@
+# $Id: PKGBUILD,v 1.1 2007/05/13 05:45:16 aaron Exp $
+# Maintainer: Aaron Griffin <aaron at archlinux.org>
+
+pkgname=abiword
+pkgver=2.4.6
+pkgrel=1.1
+pkgdesc="A fully-featured word processor"
+arch=(i686 x86_64)
+license=('GPL')
+url="http://www.abisource.com"
+depends=('libsm' 'fribidi>=0.10.7' 'enchant>=1.3.0' 'libgnomeprintui' 'wv>=1.2.4')
+makedepends=('pkgconfig')
+source=(http://www.abisource.com/downloads/abiword/${pkgver}/source/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('8ed5fb282b9741aca75b9e47500d39a1')
+
+build() {
+  export MAKEFLAGS="-j1"
+  cd ${startdir}/src/${pkgname}-${pkgver}/abi
+  ./configure --prefix=/usr --with-libxml2 --disable-gucharmap --with-sys-wv
+  make || return 1
+  make DESTDIR=${startdir}/pkg install
+  rm -rf ${startdir}/pkg/usr/lib
+  mv ${startdir}/pkg/usr/share/icons ${startdir}/pkg/usr/share/pixmaps
+}
Index: extra/office/abiword/abiword-2.4.2-spell.diff
diff -u /dev/null extra/office/abiword/abiword-2.4.2-spell.diff:1.1
--- /dev/null	Sun May 13 01:45:17 2007
+++ extra/office/abiword/abiword-2.4.2-spell.diff	Sun May 13 01:45:16 2007
@@ -0,0 +1,53 @@
+diff -Naur abiword-2.4.2.orig/abi/src/wp/ap/unix/ap_UnixDialog_Spell.cpp abiword-2.4.2/abi/src/wp/ap/unix/ap_UnixDialog_Spell.cpp
+--- abiword-2.4.2.orig/abi/src/wp/ap/unix/ap_UnixDialog_Spell.cpp	2005-02-19 05:50:22.000000000 +0100
++++ abiword-2.4.2/abi/src/wp/ap/unix/ap_UnixDialog_Spell.cpp	2006-03-22 23:03:40.000000000 +0100
+@@ -206,10 +206,13 @@
+             // show word in main window
+             makeWordVisible();
+      
++			gpointer inst = gtk_tree_view_get_selection (GTK_TREE_VIEW (m_lvSuggestions));
++			g_signal_handler_block (inst, m_listHandlerID);
+             // update dialog with new misspelled word info/suggestions
+             _updateWindow();
+-     
+-            // run into the GTK event loop for this window
++			g_signal_handler_unblock (inst, m_listHandlerID);
++
++			// run into the GTK event loop for this window
+ 	    gint response = abiRunModalDialog (GTK_DIALOG(mainWindow), false);
+ 	    UT_DEBUGMSG (("ROB: response='%d'\n", response));
+             switch(response) {
+@@ -303,10 +306,6 @@
+ 					  "row-activated", 
+ 					  G_CALLBACK (AP_UnixDialog_Spell__onSuggestionDblClicked), 
+ 					  (gpointer)this);
+-	m_listHandlerID = g_signal_connect (gtk_tree_view_get_selection (GTK_TREE_VIEW (m_lvSuggestions)), 
+-					  "changed",
+-					  G_CALLBACK (AP_UnixDialog_Spell__onSuggestionSelected), 
+-					  (gpointer)this);
+     m_replaceHandlerID = g_signal_connect (G_OBJECT(m_eChange), 
+ 					   "changed",
+ 					   G_CALLBACK (AP_UnixDialog_Spell__onSuggestionChanged),
+@@ -336,6 +335,10 @@
+ 	GtkTreeViewColumn *column = gtk_tree_view_get_column (GTK_TREE_VIEW (m_lvSuggestions), 0);
+ 	gtk_tree_view_column_set_sort_column_id (column, COLUMN_SUGGESTION);
+ 
++	m_listHandlerID = g_signal_connect (gtk_tree_view_get_selection (GTK_TREE_VIEW (m_lvSuggestions)), 
++				  "changed",
++				  G_CALLBACK (AP_UnixDialog_Spell__onSuggestionSelected), 
++				  (gpointer)this);
+ 
+     gtk_widget_show_all (m_wDialog);
+     return m_wDialog;
+@@ -433,6 +436,11 @@
+ 								COLUMN_NUMBER, i,
+ 								-1);
+ 	    }
++		// put the first suggestion in the entry
++		suggest = (gchar*) _convertToMB((UT_UCSChar*)m_Suggestions->getNthItem(0));
++        g_signal_handler_block(G_OBJECT(m_eChange), m_replaceHandlerID);
++        gtk_entry_set_text(GTK_ENTRY(m_eChange), suggest);
++        g_signal_handler_unblock(G_OBJECT(m_eChange), m_replaceHandlerID);      
+     }
+ 
+ 	gtk_tree_view_set_model (GTK_TREE_VIEW (m_lvSuggestions), model);




More information about the arch-commits mailing list